Name: libesnacc
Version: 1.7.4
Release: alt1

Summary: Enhanced SNACC ASN.1 Compiler and Library

License: Public Domain
Group: System/Libraries
Url: http://digitalnet.com/knowledge/snacc_home.htm

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://digitalnet.com/knowledge/library/snacc/esnacc1.7.tar.bz2
Source1: http://digitalnet.com/knowledge/library/snacc/esnacc_1_7_3patch.tar.bz2
Source2: http://digitalnet.com/knowledge/library/snacc/esnacc_1_7_4patch.tar.bz2
Patch: %name.patch

# manually removed: imake  xorg-cf-files
# Automatically added by buildreq on Fri Jan 25 2008
BuildRequires: flex gcc-c++ libtk makedepend tk-devel

%description
The Enhanced SNACC Abstract Syntax Notation One (ASN.1) software can be
used to ASN.1 encode and decode objects. BAE Systems has enhanced the
SNACC library to implement the Distinguished Encoding Rules (DER). We also
enhanced the SNACC library to support PrintableString, TeletexString,
NumericString, IA5String, VisibileString, BMPString, UniversalString
and UTF8String character string types. We added an optional function
to SNACC that can be used to convert ASN.1 OCTET STRINGs to single-
or multi-byte character strings (as appropriate). We added support for
large ASN.1 INTEGERs and improved memory usage/management.
 
The Enhanced SNACC ASN.1 software implements the majority of the ASN.1
encoding/decoding rules specified in the 1988 X.209 Recommendation. It
implements the DER as specified in the 1994 X.690 Recommendation. SNACC
does not support all of the latest ASN.1 features, but there are
work-arounds that allow SNACC to be used to produce ASN.1 hex encodings
that are identical to those produced by ASN.1 libraries that do support
the latest ASN.1 features. Also, many of the Internet Engineering
Task Force (IETF) specifications, such as PKIX and S/MIME, include
1988-compliant ASN.1 syntax modules that can be compiled using the
Enhanced SNACC ASN.1 compiler.

%package -n esnacc
Summary: Enhanced SNACC ASN.1 Compiler
Group: Development/C
License: GPL
Requires: %name = %version-%release

%description -n esnacc
Enhanced SNACC ASN.1 Compiler.

%package devel
Summary: Header files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Header files for %name library.

%package devel-static
Summary: Static library for %name
Group: Development/C
Requires: %name = %version-%release

%description devel-static
Static library for %name.

%prep
%setup -n SNACC
%setup -a1 -n SNACC
%setup -a2 -n SNACC
cd SNACC && cp -rf * ../
cd ..
%patch

%build
%configure --enable-static --with-x
%make_build

%install
%make_install prefix=%buildroot%_prefix install \
	libdir=%buildroot%_libdir libexecdir=%buildroot%_libexecdir

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files -n esnacc
%doc copying
%_bindir/esnacc

%files
%doc readme* news
%_libdir/lib*.so

%files devel
%doc doc
%_includedir/esnacc/

%files devel-static
%_libdir/lib*.a

%changelog
* Fri Jan 25 2008 Vitaly Lipatov <lav@altlinux.ru> 1.7.4-alt1
- initial build for ALT Linux Sisyphus
